
import java.util.*;

import org.hibernate.*;
import org.hibernate.criterion.*;

public class SimpleRetrieveTest {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( uid int, name VARCHAR, start_Date date, duration int, location_id int);");
		HibernateUtil.setup("create table speakers ( uid int, event_id int, firstName VARCHAR, lastName VARCHAR);");
		
		// hibernate code start
		Session session = HibernateUtil.currentSession();
		Transaction tx = session.beginTransaction();


        Event event = new Event();
        event.setName("One-to-many test");
        event.setSpeakers(new HashSet());
        event.getSpeakers().add(new Speaker("John", "Smith"));
        event.getSpeakers().add(new Speaker("Dave", "Smith"));
        event.getSpeakers().add(new Speaker("Joan", "Smith"));

        session.saveOrUpdate(event);


        tx.commit();
		HibernateUtil.closeSession();

		HibernateUtil.sessionFactory.close();

        HibernateUtil.checkData("select * from speakers");
        HibernateUtil.checkData("select uid, name from events");        
		// hibernate code end
	}
	
}